//------------------------------------------------------------------
// War Angel Armor data:
//------------------------------------------------------------------

PlayerData parmor
{
   className = "Armor";
   shapeFile = "marmor";
   flameShapeName = "shield_medium";
   shieldShapeName = "shield_medium";
   damageSkinData = "armorDamageSkins";
	debrisId = WarDebris;
   shadowDetailMask = 1;
   validateShape = true;

   canCrouch = false;
   visibleToSensor = false;
	mapFilter = 1;
	mapIcon = "M_player";
   canCrouch = true;

   maxJetSideForceFactor = 32;
   maxJetForwardVelocity = 60;
   minJetEnergy = 1;
   jetForce = 400;
   jetEnergyDrain = 0;

	maxDamage = 15.0;
   maxForwardSpeed = 18;
   maxBackwardSpeed = 18;
   maxSideSpeed = 18;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 9999.0;
	maxEnergy = 200;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 130;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, false, true, false, 3 };
   

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundFlyerActive;

   idleSound = SoundFlyerIdle;

   rFootSounds = 
   {
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSnow,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft
  }; 
   lFootSounds =
   {
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSnow,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//----------------------------------------------------------------------------
// Phoenix Armor
//----------------------------------------------------------------------------
$DamageScale[parmor, $LandingDamageType] = 0.0;
$DamageScale[parmor, $ImpactDamageType] = 0.0;
$DamageScale[parmor, $CrushDamageType] = 0.0;
$DamageScale[parmor, $BulletDamageType] = 0.0;
$DamageScale[parmor, $PlasmaDamageType] = 0.0;
$DamageScale[parmor, $EnergyDamageType] = 0.0;
$DamageScale[parmor, $ExplosionDamageType] = 0.0;
$DamageScale[parmor, $MissileDamageType] = 0.0;
$DamageScale[parmor, $ShrapnelDamageType] = 0.0;
$DamageScale[parmor, $DebrisDamageType] = 0.0;
$DamageScale[parmor, $LaserDamageType] = 0.0;
$DamageScale[parmor, $MortarDamageType] = 0.0;
$DamageScale[parmor, $BlasterDamageType] = 0.0;
$DamageScale[parmor, $ElectricityDamageType] = 0.0;
$DamageScale[parmor, $MineDamageType] = 0.0;
$DamageScale[parmor, $SniperDamageType] = 0.0;
$DamageScale[parmor, $FlashDamageType] = 0.0;
$DamageScale[parmor, $MagneticDamageType] = 0; 
$DamageScale[parmor, $EMPDamageType] = 0;
$DamageScale[parmor, $FlamerDamageType] = 0;

$ItemMax[parmor, Flamer] = 1;
$ItemMax[parmor, Heal] = 1;
$ItemMax[parmor, Implode] = 1;
$ItemMax[parmor, Freeze] = 1;
$ItemMax[parmor, ESP] = 1;
$ItemMax[parmor, FireBall] = 1;
$ItemMax[parmor, DFA] = 1;
$ItemMax[parmor, PLA] = 1;
$ItemMax[parmor, GodTear] = 1;
$ItemMax[parmor, Quake] = 1;
$ItemMax[parmor, AB] = 1;
$ItemMax[parmor, WG] = 1;
$ItemMax[parmor, HM] = 1;
$ItemMax[parmor, MineAmmo] = 100;
$ItemMax[parmor, Grenade] = 100;
$ItemMax[parmor, Beacon] = 100;
$ItemMax[parmor, Blaster] = 0;
$ItemMax[parmor, Chaingun] = 0;
$ItemMax[parmor, Disclauncher] = 0;
$ItemMax[parmor, GrenadeLauncher] = 0;
$ItemMax[parmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, EMPLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, MAGGun] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, AssaultRifle] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, Shotgun] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, Mortar] = 0;
$ItemMax[parmor, PlasmaGun] = 0;
$ItemMax[parmor, LaserRifle] = 0;
$ItemMax[parmor, EnergyRifle] = 0;
$ItemMax[parmor, TargetingLaser] = 1;
$ItemMax[parmor, RocketLauncher] = 0;
$ItemMax[parmor, SniperRifle] = 0;
$ItemMax[parmor, ConCun] = 0;
$ItemMax[parmor, Railgun] = 0;
$ItemMax[parmor, ClusterBomb] = 0;
$ItemMax[parmor, Vulcan] = 0;
$ItemMax[parmor, Uzi] = 0;
$ItemMax[parmor, RPG] = 0;
$ItemMax[parmor, Silencer] = 0;
$ItemMax[parmor, HandOfRA] = 0;//+++++++++

$ItemMax[parmor, BulletAmmo] = 0;
$ItemMax[parmor, PlasmaAmmo] = 0;
$ItemMax[parmor, DiscAmmo] = 0;
$ItemMax[parmor, UziAmmo] = 0;
$ItemMax[parmor, RPGAmmo] = 0;

$ItemMax[parmor, EMPAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, AssaultRifleAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, MortarAmmo] = 0;
$ItemMax[parmor, ShotgunShell] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, MinelAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, RocketAmmo] = 0;
$ItemMax[parmor, SniperAmmo] = 0;
$ItemMax[parmor, RailAmmo] = 0;
$ItemMax[parmor, SilencerAmmo] = 0;
$ItemMax[parmor, VulcanAmmo] = 0;

$ItemMax[parmor, PhoenixPack] = 1;
$ItemMax[parmor, CloakPack] = 1;
$ItemMax[parmor, EnergyPack] = 0;
$ItemMax[parmor, RPGPack] = 0;
$ItemMax[parmor, RepairPack] = 0;
$ItemMax[parmor, ShieldPack] = 0;
$ItemMax[parmor, SensorJammerPack] = 0;
$ItemMax[parmor, MotionSensorPack] = 0;
$ItemMax[parmor, PulseSensorPack] = 0;
$ItemMax[parmor, DeployableSensorJammerPack] = 0;
$ItemMax[parmor, CameraPack] = 0;
$ItemMax[parmor, TurretPack] = 0;
$ItemMax[parmor, AmmoPack] = 0;
$ItemMax[parmor, RepairKit] = 100;
$ItemMax[parmor, DeployableInvPack] = 0;
$ItemMax[parmor, DeployableAmmoPack] = 0;
$ItemMax[parmor, DeployableComPack] = 0;
$ItemMax[parmor, LaserTurret] = 0;
$ItemMax[parmor, ForceFieldPack] = 0;
$ItemMax[parmor, RocketPack] = 0;
$ItemMax[parmor, LaserPack] = 0;
$ItemMax[parmor, CloakingDevice] = 0;
$ItemMax[parmor, StealthShieldPack] = 0;
$ItemMax[parmor, TargetPack] = 0;
$ItemMax[parmor, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[parmor, ClaymorePack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[parmor] = 100;
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Medium Male Special Ops
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$DamageScale[warmor, $LandingDamageType] = 0.7;
$DamageScale[warmor, $ImpactDamageType] = 0.7;
$DamageScale[warmor, $CrushDamageType] = 0.7;
$DamageScale[warmor, $BulletDamageType] = 0.4;
$DamageScale[warmor, $PlasmaDamageType] = 0.7;
$DamageScale[warmor, $EnergyDamageType] = 0.7;
$DamageScale[warmor, $ExplosionDamageType] = 0.7;
$DamageScale[warmor, $MissileDamageType] = 0.7;
$DamageScale[warmor, $ShrapnelDamageType] = 0.7;
$DamageScale[warmor, $DebrisDamageType] = 0.7;
$DamageScale[warmor, $LaserDamageType] = 0.4;
$DamageScale[warmor, $MortarDamageType] = 0.7;
$DamageScale[warmor, $BlasterDamageType] = 0.4;
$DamageScale[warmor, $ElectricityDamageType] = 0.4;
$DamageScale[warmor, $MineDamageType] = 0.7;
$DamageScale[warmor, $SniperDamageType] = 0.4;
$DamageScale[warmor, $FlashDamageType] = 0.4;
$DamageScale[warmor, $MagneticDamageType] = 1.0; 
$DamageScale[warmor, $EMPDamageType] = 0.1;
$DamageScale[warmor, $FlamerDamageType] = 1.0;

$ItemMax[warmor, Blaster] = 0;
$ItemMax[warmor, Chaingun] = 1;
$ItemMax[warmor, Disclauncher] = 0;
$ItemMax[warmor, GrenadeLauncher] = 1;
$ItemMax[warmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, EMPLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, AssaultRifle] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, Mortar] = 0;
$ItemMax[warmor, PlasmaGun] = 1;
$ItemMax[warmor, LaserRifle] = 0;
$ItemMax[warmor, EnergyRifle] = 1;
$ItemMax[warmor, TargetingLaser] = 1;
$ItemMax[warmor, MineAmmo] = 0;
$ItemMax[warmor, Grenade] = 6;
$ItemMax[warmor, Beacon] = 0;
$ItemMax[warmor, RocketLauncher] = 0;
$ItemMax[warmor, SniperRifle] = 0;
$ItemMax[warmor, ConCun] = 0;
$ItemMax[warmor, Railgun] = 0;
$ItemMax[warmor, ClusterBomb] = 0;
$ItemMax[warmor, Vulcan] = 0;
$ItemMax[warmor, Uzi] = 1;
$ItemMax[warmor, RPG] = 1;
$ItemMax[warmor, Silencer] = 0;
$ItemMax[warmor, HandOfRA] = 1;//+++++++++

$ItemMax[warmor, BulletAmmo] = 100;
$ItemMax[warmor, PlasmaAmmo] = 40;
$ItemMax[warmor, DiscAmmo] = 0;
$ItemMax[warmor, GrenadeAmmo] = 10;
$ItemMax[warmor, UziAmmo] = 60;
$ItemMax[warmor, RPGAmmo] = 10;

$ItemMax[warmor, EMPAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, AssaultRifleAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, MortarAmmo] = 0;
$ItemMax[warmor, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, MinelAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, RocketAmmo] = 0;
$ItemMax[warmor, SniperAmmo] = 0;
$ItemMax[warmor, RailAmmo] = 0;
$ItemMax[warmor, SilencerAmmo] = 0;
$ItemMax[warmor, VulcanAmmo] = 0;

$ItemMax[warmor, EnergyPack] = 1;
$ItemMax[warmor, RPGPack] = 1;
$ItemMax[warmor, RepairPack] = 0;
$ItemMax[warmor, ShieldPack] = 0;
$ItemMax[warmor, SensorJammerPack] = 1;
$ItemMax[warmor, MotionSensorPack] = 0;
$ItemMax[warmor, PulseSensorPack] = 0;
$ItemMax[warmor, DeployableSensorJammerPack] = 0;
$ItemMax[warmor, CameraPack] = 0;
$ItemMax[warmor, TurretPack] = 0;
$ItemMax[warmor, AmmoPack] = 1;
$ItemMax[warmor, RepairKit] = 2;
$ItemMax[warmor, DeployableInvPack] = 1;
$ItemMax[warmor, DeployableAmmoPack] = 1;
$ItemMax[warmor, DeployableComPack] = 0;
$ItemMax[warmor, LaserTurret] = 0;
$ItemMax[warmor, ForceFieldPack] = 0;
$ItemMax[warmor, RocketPack] = 0;
$ItemMax[warmor, LaserPack] = 0;
$ItemMax[warmor, CloakingDevice] = 0;
$ItemMax[warmor, StealthShieldPack] = 0;
$ItemMax[warmor, TargetPack] = 0;
$ItemMax[warmor, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[warmor, ClaymorePack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[warmor] = 4;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Medium Female Special Ops
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$DamageScale[wfemale, $LandingDamageType] = 0.8;
$DamageScale[wfemale, $ImpactDamageType] = 0.8;
$DamageScale[wfemale, $CrushDamageType] = 0.8;
$DamageScale[wfemale, $BulletDamageType] = 0.5;
$DamageScale[wfemale, $PlasmaDamageType] = 0.8;
$DamageScale[wfemale, $EnergyDamageType] = 0.8;
$DamageScale[wfemale, $ExplosionDamageType] = 0.8;
$DamageScale[wfemale, $MissileDamageType] = 0.8;
$DamageScale[wfemale, $ShrapnelDamageType] = 0.8;
$DamageScale[wfemale, $DebrisDamageType] = 0.8;
$DamageScale[wfemale, $LaserDamageType] = 0.5;
$DamageScale[wfemale, $MortarDamageType] = 0.8;
$DamageScale[wfemale, $BlasterDamageType] = 0.5;
$DamageScale[wfemale, $ElectricityDamageType] = 0.5;
$DamageScale[wfemale, $MineDamageType] = 0.8;
$DamageScale[wfemale, $SniperDamageType] = 0.5;
$DamageScale[wfemale, $FlashDamageType] = 0.5;
$DamageScale[wfemale, $MagneticDamageType] = 1.0; 
$DamageScale[wfemale, $EMPDamageType] = 0.1;
$DamageScale[wfemale, $FlamerDamageType] = 1.0;

$ItemMax[wfemale, Blaster] = 0;
$ItemMax[wfemale, Chaingun] = 1;
$ItemMax[wfemale, Disclauncher] = 0;
$ItemMax[wfemale, GrenadeLauncher] = 1;
$ItemMax[wfemale, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, EMPLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, AssaultRifle] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, Mortar] = 0;
$ItemMax[wfemale, PlasmaGun] = 1;
$ItemMax[wfemale, LaserRifle] = 0;
$ItemMax[wfemale, EnergyRifle] = 1;
$ItemMax[wfemale, TargetingLaser] = 1;
$ItemMax[wfemale, MineAmmo] = 0;
$ItemMax[wfemale, Grenade] = 6;
$ItemMax[wfemale, Beacon] = 0;
$ItemMax[wfemale, RocketLauncher] = 0;
$ItemMax[wfemale, SniperRifle] = 0;
$ItemMax[wfemale, ConCun] = 0;
$ItemMax[wfemale, Railgun] = 0;
$ItemMax[wfemale, ClusterBomb] = 0;
$ItemMax[wfemale, Vulcan] = 0;
$ItemMax[wfemale, Uzi] = 1;
$ItemMax[wfemale, RPG] = 1;
$ItemMax[wfemale, Silencer] = 0;
$ItemMax[wfemale, HandOfRA] = 1;//+++++++++

$ItemMax[wfemale, BulletAmmo] = 100;
$ItemMax[wfemale, PlasmaAmmo] = 40;
$ItemMax[wfemale, DiscAmmo] = 0;
$ItemMax[wfemale, GrenadeAmmo] = 10;
$ItemMax[wfemale, RPGAmmo] = 10;
$ItemMax[wfemale, UziAmmo] = 60;

$ItemMax[wfemale, EMPAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, AssaultRifleAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, MortarAmmo] = 0;
$ItemMax[wfemale, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, MinelAmmo] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, RocketAmmo] = 0;
$ItemMax[wfemale, SniperAmmo] = 0;
$ItemMax[wfemale, RailAmmo] = 0;
$ItemMax[wfemale, SilencerAmmo] = 0;
$ItemMax[wfemale, VulcanAmmo] = 0;

$ItemMax[wfemale, EnergyPack] = 1;
$ItemMax[wfemale, RPGPack] = 1;
$ItemMax[wfemale, RepairPack] = 0;
$ItemMax[wfemale, ShieldPack] = 0;
$ItemMax[wfemale, SensorJammerPack] = 1;
$ItemMax[wfemale, MotionSensorPack] = 0;
$ItemMax[wfemale, PulseSensorPack] = 0;
$ItemMax[wfemale, DeployableSensorJammerPack] = 0;
$ItemMax[wfemale, CameraPack] = 0;
$ItemMax[wfemale, TurretPack] = 0;
$ItemMax[wfemale, AmmoPack] = 1;
$ItemMax[wfemale, RepairKit] = 2;
$ItemMax[wfemale, DeployableInvPack] = 1;
$ItemMax[wfemale, DeployableAmmoPack] = 1;
$ItemMax[wfemale, DeployableComPack] = 0;
$ItemMax[wfemale, LaserTurret] = 0;
$ItemMax[wfemale, ForceFieldPack] = 0;
$ItemMax[wfemale, RocketPack] = 0;
$ItemMax[wfemale, LaserPack] = 0;
$ItemMax[wfemale, CloakingDevice] = 0;
$ItemMax[wfemale, StealthShieldPack] = 0;
$ItemMax[wfemale, TargetPack] = 0;
$ItemMax[wfemale, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[wfemale, ClaymorePack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[wfemale] = 4;

//----------------------------------------------------------------------------
// Light Armor Medic
//----------------------------------------------------------------------------

$DamageScale[larmor, $LandingDamageType] = 1.0;
$DamageScale[larmor, $ImpactDamageType] = 1.0;
$DamageScale[larmor, $CrushDamageType] = 1.0;
$DamageScale[larmor, $BulletDamageType] = 1.0;
$DamageScale[larmor, $PlasmaDamageType] = 1.0;
$DamageScale[larmor, $EnergyDamageType] = 1.0;
$DamageScale[larmor, $ExplosionDamageType] = 1.0;
$DamageScale[larmor, $MissileDamageType] = 1.0;
$DamageScale[larmor, $DebrisDamageType] = 1.0;
$DamageScale[larmor, $ShrapnelDamageType] = 1.0;
$DamageScale[larmor, $LaserDamageType] = 1.0;
$DamageScale[larmor, $MortarDamageType] = 1.0;
$DamageScale[larmor, $BlasterDamageType] = 1.0;
$DamageScale[larmor, $ElectricityDamageType] = 1.0;
$DamageScale[larmor, $MineDamageType] = 1.0;
$DamageScale[larmor, $SniperDamageType] = 1.0;
$DamageScale[larmor, $FlashDamageType] = 1.0;
$DamageScale[larmor, $MagneticDamageType] = 1.0; 
$DamageScale[larmor, $EMPDamageType] = 1.0;
$DamageScale[larmor, $FlamerDamageType] = 1.0;


$ItemMax[larmor, Blaster] = 1;
$ItemMax[larmor, Chaingun] = 1;
$ItemMax[larmor, Disclauncher] = 1;
$ItemMax[larmor, GrenadeLauncher] = 1;
$ItemMax[larmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, EMPLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, Mortar] = 0;
$ItemMax[larmor, PlasmaGun] = 1;
$ItemMax[larmor, LaserRifle] = 1;
$ItemMax[larmor, EnergyRifle] = 1;
$ItemMax[larmor, TargetingLaser] = 1;
$ItemMax[larmor, MineAmmo] = 3;
$ItemMax[larmor, Grenade] = 3;
$ItemMax[larmor, Beacon]  = 3;
$ItemMax[larmor, RocketLauncher] = 0;
$ItemMax[larmor, SniperRifle] = 1;
$ItemMax[larmor, ConCun] = 0;
$ItemMax[larmor, ClusterBomb] = 0;
$ItemMax[larmor, Railgun] = 0;
$ItemMax[larmor, Vulcan] = 0;
$ItemMax[larmor, Uzi] = 0;
$ItemMax[larmor, RPG] = 0;
$ItemMax[larmor, Silencer] = 0;

$ItemMax[larmor, BulletAmmo] = 80;
$ItemMax[larmor, HandAmmo] = 20;
$ItemMax[larmor, PlasmaAmmo] = 25;
$ItemMax[larmor, DiscAmmo] = 12;
$ItemMax[larmor, GrenadeAmmo] = 8;
$ItemMax[larmor, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, MortarAmmo] = 10;
$ItemMax[larmor, RocketAmmo] = 10;
$ItemMax[larmor, SniperAmmo] = 15;
$ItemMax[larmor, RailAmmo] = 10;
$ItemMax[larmor, SilencerAmmo] = 10;
$ItemMax[larmor, VulcanAmmo] = 100;

$ItemMax[larmor, EnergyPack] = 1;
$ItemMax[larmor, RepairPack] = 1;
$ItemMax[larmor, ShieldPack] = 1;
$ItemMax[larmor, SensorJammerPack] = 1;
$ItemMax[larmor, MotionSensorPack] = 1;
$ItemMax[larmor, PulseSensorPack] = 1;
$ItemMax[larmor, DeployableSensorJammerPack] = 1;
$ItemMax[larmor, CameraPack] = 1;
$ItemMax[larmor, TurretPack] = 1;
$ItemMax[larmor, AmmoPack] = 1;
$ItemMax[larmor, RepairKit] = 2;
$ItemMax[larmor, DeployableInvPack] = 0;
$ItemMax[larmor, DeployableAmmoPack] = 0;
$ItemMax[larmor, DeployableComPack] = 0;
$ItemMax[larmor, LaserTurret] = 0;
$ItemMax[larmor, ForceFieldPack] = 1;
$ItemMax[larmor, RocketPack] = 0;
$ItemMax[larmor, LaserPack] = 0;
$ItemMax[larmor, CloakingDevice] = 0;
$ItemMax[larmor, StealthShieldPack] = 0;
$ItemMax[larmor, TreePack] = 1;
$ItemMax[larmor, TargetPack] = 1;
$ItemMax[larmor, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[larmor, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[larmor] = 3;

//----------------------------------------------------------------------------
// Medium Armor Assault
//----------------------------------------------------------------------------
$DamageScale[marmor, $LandingDamageType] = 1.0;
$DamageScale[marmor, $ImpactDamageType] = 1.0;
$DamageScale[marmor, $CrushDamageType] = 1.0;
$DamageScale[marmor, $BulletDamageType] = 0.8;
$DamageScale[marmor, $PlasmaDamageType] = 0.8;
$DamageScale[marmor, $EnergyDamageType] = 1.0;
$DamageScale[marmor, $ExplosionDamageType] = 0.8;
$DamageScale[marmor, $MissileDamageType] = 1.0;
$DamageScale[marmor, $ShrapnelDamageType] = 0.8;
$DamageScale[marmor, $DebrisDamageType] = 1.0;
$DamageScale[marmor, $LaserDamageType] = 1.0;
$DamageScale[marmor, $MortarDamageType] = 1.0;
$DamageScale[marmor, $BlasterDamageType] = 1.0;
$DamageScale[marmor, $ElectricityDamageType] = 1.0;
$DamageScale[marmor, $MineDamageType] = 1.0;
$DamageScale[marmor, $SniperDamageType] = 1.0;
$DamageScale[marmor, $FlashDamageType] = 0.8;
$DamageScale[marmor, $MagneticDamageType] = 1.0; 
$DamageScale[marmor, $EMPDamageType] = 1.0;
$DamageScale[marmor, $FlamerDamageType] = 0.8;

$ItemMax[marmor, Blaster] = 1;
$ItemMax[marmor, Chaingun] = 1;
$ItemMax[marmor, Disclauncher] = 1;
$ItemMax[marmor, GrenadeLauncher] = 1;
$ItemMax[marmor, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, Mortar] = 0;
$ItemMax[marmor, PlasmaGun] = 1;
$ItemMax[marmor, LaserRifle] = 0;
$ItemMax[marmor, EnergyRifle] = 1;
$ItemMax[marmor, TargetingLaser] = 1;
$ItemMax[marmor, MineAmmo] = 3;
$ItemMax[marmor, Grenade] = 6;
$ItemMax[marmor, Beacon] = 4;
$ItemMax[marmor, RocketLauncher] = 1;
$ItemMax[marmor, SniperRifle] = 0;
$ItemMax[marmor, ConCun] = 0;
$ItemMax[marmor, ClusterBomb] = 0;
$ItemMax[marmor, Railgun] = 0;
$ItemMax[marmor, Vulcan] = 1;
$ItemMax[marmor, Uzi] = 1;
$ItemMax[marmor, RPG] = 1;
$ItemMax[marmor, Silencer] = 0;

$ItemMax[marmor, BulletAmmo] = 100;
$ItemMax[marmor, HandAmmo] = 40;
$ItemMax[marmor, PlasmaAmmo] = 35;
$ItemMax[marmor, UziAmmo] = 35;
$ItemMax[marmor, DiscAmmo] = 15;
$ItemMax[marmor, GrenadeAmmo] = 10;
$ItemMax[marmor, MinelAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, EMPAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, AssaultRifleAmmo] = 75; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, MortarAmmo] = 10;
$ItemMax[marmor, RocketAmmo] = 5;
$ItemMax[marmor, RPGAmmo] = 8;
$ItemMax[marmor, SniperAmmo] = 10;
$ItemMax[marmor, RailAmmo] = 10;
$ItemMax[marmor, SilencerAmmo] = 10;
$ItemMax[marmor, VulcanAmmo] = 300;

$ItemMax[marmor, EnergyPack] = 1;
$ItemMax[marmor, RPGPack] = 1;
$ItemMax[marmor, RepairPack] = 1;
$ItemMax[marmor, ShieldPack] = 1;
$ItemMax[marmor, SensorJammerPack] = 1;
$ItemMax[marmor, MotionSensorPack] = 1;
$ItemMax[marmor, PulseSensorPack] = 1;
$ItemMax[marmor, DeployableSensorJammerPack] = 1;
$ItemMax[marmor, CameraPack] = 1;
$ItemMax[marmor, TurretPack] = 1;
$ItemMax[marmor, AmmoPack] = 1;
$ItemMax[marmor, RepairKit] = 2;
$ItemMax[marmor, DeployableInvPack] = 1;
$ItemMax[marmor, DeployableAmmoPack] = 1;
$ItemMax[marmor, DeployableComPack] = 0;
$ItemMax[marmor, LaserTurret] = 0;
$ItemMax[marmor, ForceFieldPack] = 1;
$ItemMax[marmor, RocketPack] = 0;
$ItemMax[marmor, LaserPack] = 0;
$ItemMax[marmor, CloakingDevice] = 0;
$ItemMax[marmor, StealthShieldPack] = 0;
$ItemMax[marmor, TargetPack] = 1;
$ItemMax[marmor, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[marmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[marmor] = 5;

//----------------------------------------------------------------------------
// Heavy Armor Battalion Tank
//----------------------------------------------------------------------------
$DamageScale[harmor, $LandingDamageType] = 0.5;
$DamageScale[harmor, $ImpactDamageType] = 0.5;
$DamageScale[harmor, $CrushDamageType] = 0.5;
$DamageScale[harmor, $BulletDamageType] = 0.5;
$DamageScale[harmor, $PlasmaDamageType] = 0.8;
$DamageScale[harmor, $EnergyDamageType] = 1.0;
$DamageScale[harmor, $ExplosionDamageType] = 0.8;
$DamageScale[harmor, $MissileDamageType] = 0.8;
$DamageScale[harmor, $DebrisDamageType] = 0.8;
$DamageScale[harmor, $ShrapnelDamageType] = 0.8;
$DamageScale[harmor, $LaserDamageType] = 0.5;
$DamageScale[harmor, $MortarDamageType] = 0.8;
$DamageScale[harmor, $BlasterDamageType] = 0.5;
$DamageScale[harmor, $ElectricityDamageType] = 1.0;
$DamageScale[harmor, $MineDamageType] = 0.8;
$DamageScale[harmor, $SniperDamageType] = 0.5;
$DamageScale[harmor, $FlashDamageType] = 0.5;
$DamageScale[harmor, $MagneticDamageType] = 1.0; 
$DamageScale[harmor, $EMPDamageType] = 1.0;
$DamageScale[harmor, $FlamerDamageType] = 0.8;

$ItemMax[harmor, Blaster] = 1;
$ItemMax[harmor, Chaingun] = 1;
$ItemMax[harmor, Disclauncher] = 1;
$ItemMax[harmor, GrenadeLauncher] = 1;
$ItemMax[harmor, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, Mortar] = 1;
$ItemMax[harmor, PlasmaGun] = 1;
$ItemMax[harmor, LaserRifle] = 0;
$ItemMax[harmor, EnergyRifle] = 1;
$ItemMax[harmor, TargetingLaser] = 1;
$ItemMax[harmor, MineAmmo] = 4;
$ItemMax[harmor, Grenade] = 4;
$ItemMax[harmor, Beacon] = 5;
$ItemMax[harmor, RocketLauncher] = 0;
$ItemMax[harmor, SniperRifle] = 0;
$ItemMax[harmor, ConCun] = 1;
$ItemMax[harmor, Railgun] = 0;
$ItemMax[harmor, ClusterBomb] = 1;
$ItemMax[harmor, Vulcan] = 1;
$ItemMax[harmor, Silencer] = 0;
$ItemMax[harmor, Shotgun] = 0;
$ItemMax[harmor, Uzi] = 1;
$ItemMax[harmor, RPG] = 0;

$ItemMax[harmor, BulletAmmo] = 125;
$ItemMax[harmor, HandAmmo] = 70;
$ItemMax[harmor, UziAmmo] = 100;
$ItemMax[harmor, PlasmaAmmo] = 50;
$ItemMax[harmor, DiscAmmo] = 18;
$ItemMax[harmor, GrenadeAmmo] = 15;
$ItemMax[harmor, MinelAmmo] = 10; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, EMPAmmo] = 10; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, AssaultRifleAmmo] = 100; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, MortarAmmo] = 10;
$ItemMax[harmor, RocketAmmo] = 10;
$ItemMax[harmor, SniperAmmo] = 10;
$ItemMax[harmor, RailAmmo] = 10;
$ItemMax[harmor, SilencerAmmo] = 10;
$ItemMax[harmor, VulcanAmmo] = 400;

$ItemMax[harmor, EnergyPack] = 1;
$ItemMax[harmor, RepairPack] = 1;
$ItemMax[harmor, ShieldPack] = 1;
$ItemMax[harmor, SensorJammerPack] = 1;
$ItemMax[harmor, MotionSensorPack] = 1;
$ItemMax[harmor, PulseSensorPack] = 1;
$ItemMax[harmor, DeployableSensorJammerPack] = 1;
$ItemMax[harmor, CameraPack] = 1;
$ItemMax[harmor, TurretPack] = 1;
$ItemMax[harmor, AmmoPack] = 1;
$ItemMax[harmor, RepairKit] = 2;
$ItemMax[harmor, DeployableInvPack] = 1;
$ItemMax[harmor, DeployableAmmoPack] = 1;
$ItemMax[harmor, DeployableComPack] = 1;
$ItemMax[harmor, ConPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, LaserTurret] = 0;
$ItemMax[harmor, ForceFieldPack] = 1;
$ItemMax[harmor, RocketPack] = 0;
$ItemMax[harmor, LaserPack] = 0;
$ItemMax[harmor, CloakingDevice] = 0;
$ItemMax[harmor, StealthShieldPack] = 0;
$ItemMax[harmor, TargetPack] = 1;
$ItemMax[harmor, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[harmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[harmor] = 6;

//----------------------------------------------------------------------------
// light Female Armor Medic
//----------------------------------------------------------------------------
$DamageScale[lfemale, $LandingDamageType] = 1.1;
$DamageScale[lfemale, $ImpactDamageType] = 1.1;
$DamageScale[lfemale, $CrushDamageType] = 1.1;
$DamageScale[lfemale, $BulletDamageType] = 1.1;
$DamageScale[lfemale, $PlasmaDamageType] = 1.1;
$DamageScale[lfemale, $EnergyDamageType] = 1.1;
$DamageScale[lfemale, $ExplosionDamageType] = 1.1;
$DamageScale[lfemale, $MissileDamageType] = 1.1;
$DamageScale[lfemale, $DebrisDamageType] = 1.1;
$DamageScale[lfemale, $ShrapnelDamageType] = 1.1;
$DamageScale[lfemale, $LaserDamageType] = 1.1;
$DamageScale[lfemale, $MortarDamageType] = 1.1;
$DamageScale[lfemale, $BlasterDamageType] = 1.1;
$DamageScale[lfemale, $ElectricityDamageType] = 1.1;
$DamageScale[lfemale, $MineDamageType] = 1.1;
$DamageScale[lfemale, $SniperDamageType] = 1.1;
$DamageScale[lfemale, $FlashDamageType] = 1.1;
$DamageScale[lfemale, $MagneticDamageType] = 1.0;
$DamageScale[lfemale, $EMPDamageType] = 1.0;
$DamageScale[lfemale, $FlamerDamageType] = 1.1;

$ItemMax[lfemale, Blaster] = 1;
$ItemMax[lfemale, Chaingun] = 1;
$ItemMax[lfemale, Disclauncher] = 1;
$ItemMax[lfemale, GrenadeLauncher] = 1;
$ItemMax[lfemale, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, EMPLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, Mortar] = 0;
$ItemMax[lfemale, PlasmaGun] = 1;
$ItemMax[lfemale, LaserRifle] = 1;
$ItemMax[lfemale, EnergyRifle] = 1;
$ItemMax[lfemale, TargetingLaser] = 1;
$ItemMax[lfemale, MineAmmo] = 3;
$ItemMax[lfemale, Grenade] = 3;
$ItemMax[lfemale, Beacon] = 3;
$ItemMax[lfemale, SniperRifle] = 1;
$ItemMax[lfemale, RocketLauncher] = 0;
$ItemMax[lfemale, ConCun] = 0;
$ItemMax[lfemale, Railgun] = 0;
$ItemMax[lfemale, Gaussgun] = 0;
$ItemMax[lfemale, Vulcan] = 0;
$ItemMax[lfemale, Uzi] = 0;
$ItemMax[lfemale, RPG] = 0;
$ItemMax[lfemale, Silencer] = 0;
$ItemMax[lfemale, ClusterBomb] = 0;

$ItemMax[lfemale, BulletAmmo] = 75;
$ItemMax[lfemale, HandAmmo] = 70;
$ItemMax[lfemale, PlasmaAmmo] = 25;
$ItemMax[lfemale, DiscAmmo] = 12;
$ItemMax[lfemale, GrenadeAmmo] = 8;
$ItemMax[lfemale, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, MortarAmmo] = 10;
$ItemMax[lfemale, SniperAmmo] = 15;
$ItemMax[lfemale, RocketAmmo] = 10;
$ItemMax[lfemale, RailAmmo] = 10;
$ItemMax[lfemale, SilencerAmmo] = 10;
$ItemMax[lfemale, VulcanAmmo] = 100;

$ItemMax[lfemale, EnergyPack] = 1;
$ItemMax[lfemale, RepairPack] = 1;
$ItemMax[lfemale, ShieldPack] = 1;
$ItemMax[lfemale, SensorJammerPack] = 1;
$ItemMax[lfemale, MotionSensorPack] = 1;
$ItemMax[lfemale, PulseSensorPack] = 1;
$ItemMax[lfemale, DeployableSensorJammerPack] = 1;
$ItemMax[lfemale, CameraPack] = 1;
$ItemMax[lfemale, TurretPack] = 1;
$ItemMax[lfemale, AmmoPack] = 1;
$ItemMax[lfemale, RepairKit] = 2;
$ItemMax[lfemale, DeployableInvPack] = 0;
$ItemMax[lfemale, DeployableAmmoPack] = 0;
$ItemMax[lfemale, DeployableComPack] = 0;
$ItemMax[lfemale, LaserTurret] = 0;
$ItemMax[lfemale, ForceFieldPack] = 1;
$ItemMax[lfemale, RocketPack] = 0;
$ItemMax[lfemale, LaserPack] = 0;
$ItemMax[lfemale, CloakingDevice] = 0;
$ItemMax[lfemale, StealthShieldPack] = 0;
$ItemMax[lfemale, TreePack] = 1;
$ItemMax[lfemale, TargetPack] = 1;
$ItemMax[lfemale, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[lfemale, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[lfemale] = 3;

//----------------------------------------------------------------------------
// Medium Female Armor Assault
//----------------------------------------------------------------------------
$DamageScale[mfemale, $LandingDamageType] = 1.1;
$DamageScale[mfemale, $ImpactDamageType] = 1.1;
$DamageScale[mfemale, $CrushDamageType] = 1.1;
$DamageScale[mfemale, $BulletDamageType] = 0.9;
$DamageScale[mfemale, $PlasmaDamageType] = 0.9;
$DamageScale[mfemale, $EnergyDamageType] = 1.1;
$DamageScale[mfemale, $ExplosionDamageType] = 0.9;
$DamageScale[mfemale, $MissileDamageType] = 1.1;
$DamageScale[mfemale, $ShrapnelDamageType] = 0.9;
$DamageScale[mfemale, $DebrisDamageType] = 1.1;
$DamageScale[mfemale, $LaserDamageType] = 1.1;
$DamageScale[mfemale, $MortarDamageType] = 1.1;
$DamageScale[mfemale, $BlasterDamageType] = 1.1;
$DamageScale[mfemale, $ElectricityDamageType] = 1.1;
$DamageScale[mfemale, $MineDamageType] = 1.1;
$DamageScale[mfemale, $SniperDamageType] = 1.1;
$DamageScale[mfemale, $FlashDamageType] = 0.9;
$DamageScale[mfemale, $MagneticDamageType] = 1.1; 
$DamageScale[mfemale, $EMPDamageType] = 1.1;
$DamageScale[mfemale, $FlamerDamageType] = 0.9;

$ItemMax[mfemale, Blaster] = 1;
$ItemMax[mfemale, Chaingun] = 1;
$ItemMax[mfemale, Disclauncher] = 1;
$ItemMax[mfemale, GrenadeLauncher] = 1;
$ItemMax[mfemale, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, Mortar] = 0;
$ItemMax[mfemale, PlasmaGun] = 1;
$ItemMax[mfemale, LaserRifle] = 0;
$ItemMax[mfemale, EnergyRifle] = 1;
$ItemMax[mfemale, TargetingLaser] = 1;
$ItemMax[mfemale, MineAmmo] = 3;
$ItemMax[mfemale, Grenade] = 6;
$ItemMax[mfemale, Beacon] = 4;
$ItemMax[mfemale, RocketLauncher] = 1;
$ItemMax[mfemale, SniperRifle] = 0;
$ItemMax[mfemale, ConCun] = 0;
$ItemMax[mfemale, Railgun] = 0;
$ItemMax[mfemale, Vulcan] = 1;
$ItemMax[mfemale, Uzi] = 1;
$ItemMax[mfemale, RPG] = 1;
$ItemMax[mfemale, Silencer] = 0;
$ItemMax[mfemale, ClusterBomb] = 0;

$ItemMax[mfemale, BulletAmmo] = 100;
$ItemMax[mfemale, HandAmmo] = 70;
$ItemMax[mfemale, PlasmaAmmo] = 35;
$ItemMax[mfemale, UziAmmo] = 40;
$ItemMax[mfemale, DiscAmmo] = 15;
$ItemMax[mfemale, GrenadeAmmo] = 10;
$ItemMax[mfemale, MortarAmmo] = 10;
$ItemMax[mfemale, MinelAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, EMPAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, AssaultRifleAmmo] = 75; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, SniperAmmo] = 10;
$ItemMax[mfemale, RocketAmmo] = 5;
$ItemMax[mfemale, RPGAmmo] = 8;
$ItemMax[mfemale, RailAmmo] = 10;
$ItemMax[mfemale, SilencerAmmo] = 10;
$ItemMax[mfemale, VulcanAmmo] = 300;

$ItemMax[mfemale, EnergyPack] = 1;
$ItemMax[mfemale, RPGPack] = 1;
$ItemMax[mfemale, RepairPack] = 1;
$ItemMax[mfemale, ShieldPack] = 1;
$ItemMax[mfemale, SensorJammerPack] = 1;
$ItemMax[mfemale, MotionSensorPack] = 1;
$ItemMax[mfemale, PulseSensorPack] = 1;
$ItemMax[mfemale, DeployableSensorJammerPack] = 1;
$ItemMax[mfemale, CameraPack] = 1;
$ItemMax[mfemale, TurretPack] = 1;
$ItemMax[mfemale, AmmoPack] = 1;
$ItemMax[mfemale, RepairKit] = 2;
$ItemMax[mfemale, DeployableInvPack] = 1;
$ItemMax[mfemale, DeployableAmmoPack] = 1;
$ItemMax[mfemale, DeployableComPack] = 0;
$ItemMax[mfemale, LaserTurret] = 0;
$ItemMax[mfemale, ForceFieldPack] = 1;
$ItemMax[mfemale, RocketPack] = 0;
$ItemMax[mfemale, LaserPack] = 0;
$ItemMax[mfemale, CloakingDevice] = 0;
$ItemMax[mfemale, StealthShieldPack] = 0;
$ItemMax[mfemale, TargetPack] = 1;
$ItemMax[mfemale, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[mfemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[mfemale] = 4;

//----------------------------------------------------------------------------
// Front Line Trooper
//----------------------------------------------------------------------------

$DamageScale[sarmor, $LandingDamageType] = 0.8;
$DamageScale[sarmor, $ImpactDamageType] = 0.8;
$DamageScale[sarmor, $CrushDamageType] = 0.8;
$DamageScale[sarmor, $BulletDamageType] = 1.0;
$DamageScale[sarmor, $PlasmaDamageType] = 1.1;
$DamageScale[sarmor, $EnergyDamageType] = 1.1;
$DamageScale[sarmor, $ExplosionDamageType] = 1.0;
$DamageScale[sarmor, $MissileDamageType] = 1.0;
$DamageScale[sarmor, $DebrisDamageType] = 1.0;
$DamageScale[sarmor, $ShrapnelDamageType] = 1.0;
$DamageScale[sarmor, $LaserDamageType] = 1.1;
$DamageScale[sarmor, $MortarDamageType] = 1.0;
$DamageScale[sarmor, $BlasterDamageType] = 1.1;
$DamageScale[sarmor, $ElectricityDamageType] = 1.1;
$DamageScale[sarmor, $MineDamageType] = 1.1;
$DamageScale[sarmor, $SniperDamageType] = 1.0;
$DamageScale[sarmor, $FlashDamageType] = 1.0;
$DamageScale[sarmor, $MagneticDamageType] = 1.0; 
$DamageScale[sarmor, $EMPDamageType] = 1.0;
$DamageScale[sarmor, $FlamerDamageType] = 1.1;

$ItemMax[sarmor, Blaster] = 1;
$ItemMax[sarmor, Chaingun] = 1;
$ItemMax[sarmor, Disclauncher] = 1;
$ItemMax[sarmor, GrenadeLauncher] = 1;
$ItemMax[sarmor, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, Mortar] = 0;
$ItemMax[sarmor, PlasmaGun] = 1;
$ItemMax[sarmor, LaserRifle] = 1;
$ItemMax[sarmor, EnergyRifle] = 1;
$ItemMax[sarmor, TargetingLaser] = 1;
$ItemMax[sarmor, MineAmmo] = 3;
$ItemMax[sarmor, Grenade] = 5;
$ItemMax[sarmor, Beacon]  = 5;
$ItemMax[sarmor, RocketLauncher] = 0;
$ItemMax[sarmor, SniperRifle] = 0;
$ItemMax[sarmor, ConCun] = 0;
$ItemMax[sarmor, Railgun] = 0;
$ItemMax[sarmor, Gaussgun] = 0;
$ItemMax[sarmor, Vulcan] = 0;
$ItemMax[sarmor, Uzi] = 0;
$ItemMax[sarmor, Silencer] = 0;
$ItemMax[sarmor, ClusterBomb] = 0;
$ItemMax[sarmor, RPG] = 0;

$ItemMax[sarmor, BulletAmmo] = 75;
$ItemMax[sarmor, PlasmaAmmo] = 25;
$ItemMax[sarmor, DiscAmmo] = 12;
$ItemMax[sarmor, GrenadeAmmo] = 8;
$ItemMax[sarmor, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, MortarAmmo] = 10;
$ItemMax[sarmor, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, RocketAmmo] = 10;
$ItemMax[sarmor, SniperAmmo] = 25;
$ItemMax[sarmor, RailAmmo] = 10;
$ItemMax[sarmor, SilencerAmmo] = 10;
$ItemMax[sarmor, VulcanAmmo] = 100;

$ItemMax[sarmor, EnergyPack] = 1;
$ItemMax[sarmor, RepairPack] = 1;
$ItemMax[sarmor, ShieldPack] = 1;
$ItemMax[sarmor, SensorJammerPack] = 1;
$ItemMax[sarmor, MotionSensorPack] = 1;
$ItemMax[sarmor, PulseSensorPack] = 1;
$ItemMax[sarmor, ScoutPack] = 1;//++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, DeployableSensorJammerPack] = 1;
$ItemMax[sarmor, CameraPack] = 1;
$ItemMax[sarmor, TurretPack] = 0;
$ItemMax[sarmor, AmmoPack] = 1;
$ItemMax[sarmor, RepairKit] = 2;
$ItemMax[sarmor, DeployableInvPack] = 0;
$ItemMax[sarmor, DeployableAmmoPack] = 0;
$ItemMax[sarmor, DeployableComPack] = 0;
$ItemMax[sarmor, LaserTurret] = 0;
$ItemMax[sarmor, ForceFieldPack] = 0;
$ItemMax[sarmor, RocketPack] = 0;
$ItemMax[sarmor, LaserPack] = 0;
$ItemMax[sarmor, CloakingDevice] = 0;
$ItemMax[sarmor, StealthShieldPack] = 0;
$ItemMax[sarmor, TargetPack] = 0;
$ItemMax[sarmor, MechPack] = 1;
$ItemMax[sarmor, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sarmor, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[sarmor] = 2;

//----------------------------------------------------------------------------
// burster medium Armor Black Ops
//----------------------------------------------------------------------------
$DamageScale[barmor, $LandingDamageType] = 0.8;
$DamageScale[barmor, $ImpactDamageType] = 0.8;
$DamageScale[barmor, $CrushDamageType] = 0.8;
$DamageScale[barmor, $BulletDamageType] = 1.0;
$DamageScale[barmor, $PlasmaDamageType] = 1.0;
$DamageScale[barmor, $EnergyDamageType] = 0.8;
$DamageScale[barmor, $ExplosionDamageType] = 1.0;
$DamageScale[barmor, $MissileDamageType] = 1.0;
$DamageScale[barmor, $ShrapnelDamageType] = 1.0;
$DamageScale[barmor, $DebrisDamageType] = 1.0;
$DamageScale[barmor, $LaserDamageType] = 0.8;
$DamageScale[barmor, $MortarDamageType] = 0.8;
$DamageScale[barmor, $BlasterDamageType] = 0.8;
$DamageScale[barmor, $ElectricityDamageType] = 1.0;
$DamageScale[barmor, $MineDamageType] = 0.8;
$DamageScale[barmor, $SniperDamageType] = 1.0;
$DamageScale[barmor, $FlashDamageType] = 1.0;
$DamageScale[barmor, $MagneticDamageType] = 1.0; 
$DamageScale[barmor, $EMPDamageType] = 1.0;
$DamageScale[barmor, $FlamerDamageType] = 1.0;

$ItemMax[barmor, Blaster] = 1;
$ItemMax[barmor, Chaingun] = 1;
$ItemMax[barmor, Disclauncher] = 1;
$ItemMax[barmor, GrenadeLauncher] = 1;
$ItemMax[barmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, MAGGun] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, Mortar] = 1;
$ItemMax[barmor, PlasmaGun] = 1;
$ItemMax[barmor, LaserRifle] = 0;
$ItemMax[barmor, EnergyRifle] = 0;
$ItemMax[barmor, TargetingLaser] = 1;
$ItemMax[barmor, MineAmmo] = 6;
$ItemMax[barmor, Grenade] = 6;
$ItemMax[barmor, Beacon] = 4;
$ItemMax[barmor, RocketLauncher] = 1;
$ItemMax[barmor, SniperRifle] = 0;
$ItemMax[barmor, ConCun] = 0;
$ItemMax[barmor, Railgun] = 0;
$ItemMax[barmor, ClusterBomb] = 0;
$ItemMax[barmor, Vulcan] = 0;
$ItemMax[barmor, Silencer] = 0;
$ItemMax[barmor, Uzi] = 1;
$ItemMax[barmor, RPG] = 1;

$ItemMax[barmor, BulletAmmo] = 125;
$ItemMax[barmor, PlasmaAmmo] = 40;
$ItemMax[barmor, UziAmmo] = 50;
$ItemMax[barmor, DiscAmmo] = 15;
$ItemMax[barmor, GrenadeAmmo] = 12;
$ItemMax[barmor, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, EMPAmmo] = 10; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, AssaultRifleAmmo] = 100; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, MortarAmmo] = 5;
$ItemMax[barmor, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, RocketAmmo] = 10;
$ItemMax[barmor, RPGAmmo] = 12;
$ItemMax[barmor, SniperAmmo] = 10;
$ItemMax[barmor, RailAmmo] = 10;
$ItemMax[barmor, SilencerAmmo] = 10;
$ItemMax[barmor, VulcanAmmo] = 100;

$ItemMax[barmor, EnergyPack] = 1;
$ItemMax[barmor, RPGPack] = 1;
$ItemMax[barmor, RepairPack] = 1;
$ItemMax[barmor, ShieldPack] = 1;
$ItemMax[barmor, SensorJammerPack] = 1;
$ItemMax[barmor, MotionSensorPack] = 1;
$ItemMax[barmor, PulseSensorPack] = 1;
$ItemMax[barmor, DeployableSensorJammerPack] = 1;
$ItemMax[barmor, CameraPack] = 1;
$ItemMax[barmor, TurretPack] = 1;
$ItemMax[barmor, AmmoPack] = 1;
$ItemMax[barmor, RepairKit] = 2;
$ItemMax[barmor, DeployableInvPack] = 1;
$ItemMax[barmor, DeployableAmmoPack] = 1;
$ItemMax[barmor, DeployableComPack] = 0;
$ItemMax[barmor, LaserTurret] = 0;
$ItemMax[barmor, ForceFieldPack] = 1;
$ItemMax[barmor, RocketPack] = 1;
$ItemMax[barmor, LaserPack] = 0;
$ItemMax[barmor, CloakingDevice] = 0;
$ItemMax[barmor, StealthShieldPack] = 0;
$ItemMax[barmor, TargetPack] = 1;
$ItemMax[barmor, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[barmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[barmor] = 4;

//----------------------------------------------------------------------------
// Heavy Armor Destroyer Tank
//----------------------------------------------------------------------------
$DamageScale[darmor, $LandingDamageType] = 0.8;
$DamageScale[darmor, $ImpactDamageType] = 0.8;
$DamageScale[darmor, $CrushDamageType] = 0.8;
$DamageScale[darmor, $BulletDamageType] = 0.5;
$DamageScale[darmor, $PlasmaDamageType] = 0.5;
$DamageScale[darmor, $EnergyDamageType] = 0.5;
$DamageScale[darmor, $ExplosionDamageType] = 0.6;
$DamageScale[darmor, $MissileDamageType] = 0.6;
$DamageScale[darmor, $DebrisDamageType] = 0.5;
$DamageScale[darmor, $ShrapnelDamageType] = 0.5;
$DamageScale[darmor, $LaserDamageType] = 1.0;
$DamageScale[darmor, $MortarDamageType] = 0.8;
$DamageScale[darmor, $BlasterDamageType] = 0.8;
$DamageScale[darmor, $ElectricityDamageType] = 0.8;
$DamageScale[darmor, $MineDamageType] = 0.8;
$DamageScale[darmor, $SniperDamageType] = 0.5;
$DamageScale[darmor, $FlashDamageType] = 0.5;
$DamageScale[darmor, $MagneticDamageType] = 1.0; 
$DamageScale[darmor, $EMPDamageType] = 1.0;
$DamageScale[darmor, $FlamerDamageType] = 0.5;

$ItemMax[darmor, Blaster] = 1;
$ItemMax[darmor, Chaingun] = 1;
$ItemMax[darmor, Disclauncher] = 1;
$ItemMax[darmor, GrenadeLauncher] = 1;
$ItemMax[darmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, MAGGun] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, Mortar] = 1;
$ItemMax[darmor, PlasmaGun] = 1;
$ItemMax[darmor, LaserRifle] = 0;
$ItemMax[darmor, EnergyRifle] = 1;
$ItemMax[darmor, TargetingLaser] = 1;
$ItemMax[darmor, MineAmmo] = 4;
$ItemMax[darmor, Grenade] = 4;
$ItemMax[darmor, Beacon] = 5;
$ItemMax[darmor, RocketLauncher] = 0;
$ItemMax[darmor, SniperRifle] = 0;
$ItemMax[darmor, ConCun] = 0;
$ItemMax[darmor, Railgun] = 0;
$ItemMax[darmor, ClusterBomb] = 1;
$ItemMax[darmor, Vulcan] = 1;
$ItemMax[darmor, Silencer] = 0;
$ItemMax[darmor, Shotgun] = 0;
$ItemMax[darmor, Uzi] = 1;
$ItemMax[darmor, RPG] = 0;

$ItemMax[darmor, BulletAmmo] = 125;
$ItemMax[darmor, UziAmmo] = 125;
$ItemMax[darmor, PlasmaAmmo] = 50;
$ItemMax[darmor, DiscAmmo] = 18;
$ItemMax[darmor, GrenadeAmmo] = 15;
$ItemMax[darmor, MortarAmmo] = 10;
$ItemMax[darmor, AssaultRifleAmmo] = 100; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, EMPAmmo] = 10; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, RocketAmmo] = 10;
$ItemMax[darmor, SniperAmmo] = 10;
$ItemMax[darmor, RailAmmo] = 10;
$ItemMax[darmor, SilencerAmmo] = 10;
$ItemMax[darmor, VulcanAmmo] = 400;

$ItemMax[darmor, EnergyPack] = 1;
$ItemMax[darmor, RepairPack] = 1;
$ItemMax[darmor, ShieldPack] = 0;
$ItemMax[darmor, SensorJammerPack] = 0;
$ItemMax[darmor, MotionSensorPack] = 1;
$ItemMax[darmor, PulseSensorPack] = 1;
$ItemMax[darmor, DeployableSensorJammerPack] = 1;
$ItemMax[darmor, CameraPack] = 1;
$ItemMax[darmor, TurretPack] = 1;
$ItemMax[darmor, AmmoPack] = 1;
$ItemMax[darmor, RepairKit] = 2;
$ItemMax[darmor, DeployableInvPack] = 1;
$ItemMax[darmor, DeployableAmmoPack] = 1;
$ItemMax[darmor, DeployableComPack] = 1;
$ItemMax[darmor, LaserTurret] = 1;
$ItemMax[darmor, ForceFieldPack] = 1;
$ItemMax[darmor, RocketPack] = 0;
$ItemMax[darmor, LaserPack] = 0;
$ItemMax[darmor, CloakingDevice] = 0;
$ItemMax[darmor, StealthShieldPack] = 1;
$ItemMax[darmor, TargetPack] = 1;
$ItemMax[darmor, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[darmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[darmor] = 6;

//----------------------------------------------------------------------------
// Scout Female Armor Front Line Trooper
//----------------------------------------------------------------------------
$DamageScale[sfemale, $LandingDamageType] = 0.9;
$DamageScale[sfemale, $ImpactDamageType] = 0.9;
$DamageScale[sfemale, $CrushDamageType] = 0.9;
$DamageScale[sfemale, $BulletDamageType] = 1.1;
$DamageScale[sfemale, $PlasmaDamageType] = 1.2;
$DamageScale[sfemale, $EnergyDamageType] = 1.2;
$DamageScale[sfemale, $ExplosionDamageType] = 1.1;
$DamageScale[sfemale, $MissileDamageType] = 1.1;
$DamageScale[sfemale, $DebrisDamageType] = 1.1;
$DamageScale[sfemale, $ShrapnelDamageType] = 1.1;
$DamageScale[sfemale, $LaserDamageType] = 1.2;
$DamageScale[sfemale, $MortarDamageType] = 1.1;
$DamageScale[sfemale, $BlasterDamageType] = 1.2;
$DamageScale[sfemale, $ElectricityDamageType] = 1.2;
$DamageScale[sfemale, $MineDamageType] = 1.2;
$DamageScale[sfemale, $SniperDamageType] = 1.1;
$DamageScale[sfemale, $FlashDamageType] = 1.1;
$DamageScale[sfemale, $MagneticDamageType] = 1.0; 
$DamageScale[sfemale, $EMPDamageType] = 1.0;
$DamageScale[sfemale, $FlamerDamageType] = 1.2;

$ItemMax[sfemale, Blaster] = 1;
$ItemMax[sfemale, Chaingun] = 1;
$ItemMax[sfemale, Disclauncher] = 1;
$ItemMax[sfemale, GrenadeLauncher] = 1;
$ItemMax[sfemale, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, Mortar] = 0;
$ItemMax[sfemale, PlasmaGun] = 1;
$ItemMax[sfemale, LaserRifle] = 1;
$ItemMax[sfemale, EnergyRifle] = 1;
$ItemMax[sfemale, TargetingLaser] = 1;
$ItemMax[sfemale, MineAmmo] = 3;
$ItemMax[sfemale, Grenade] = 5;
$ItemMax[sfemale, Beacon] = 3;
$ItemMax[sfemale, SniperRifle] = 0;
$ItemMax[sfemale, RocketLauncher] = 0;
$ItemMax[sfemale, ConCun] = 0;
$ItemMax[sfemale, Railgun] = 0;
$ItemMax[sfemale, Vulcan] = 0;
$ItemMax[sfemale, Uzi] = 0;
$ItemMax[sfemale, RPG] = 0;
$ItemMax[sfemale, Silencer] = 0;
$ItemMax[sfemale, ClusterBomb] = 0;

$ItemMax[sfemale, BulletAmmo] = 75;
$ItemMax[sfemale, PlasmaAmmo] = 25;
$ItemMax[sfemale, DiscAmmo] = 12;
$ItemMax[sfemale, GrenadeAmmo] = 8;
$ItemMax[sfemale, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, MortarAmmo] = 10;
$ItemMax[sfemale, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, MinelAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, SniperAmmo] = 25;
$ItemMax[sfemale, RocketAmmo] = 10;
$ItemMax[sfemale, RailAmmo] = 10;
$ItemMax[sfemale, SilencerAmmo] = 10;
$ItemMax[sfemale, VulcanAmmo] = 100;

$ItemMax[sfemale, EnergyPack] = 1;
$ItemMax[sfemale, RepairPack] = 1;
$ItemMax[sfemale, ShieldPack] = 1;
$ItemMax[sfemale, SensorJammerPack] = 1;
$ItemMax[sfemale, MotionSensorPack] = 1;
$ItemMax[sfemale, PulseSensorPack] = 1;
$ItemMax[sfemale, ScoutPack] = 1;//++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, DeployableSensorJammerPack] = 1;
$ItemMax[sfemale, CameraPack] = 1;
$ItemMax[sfemale, TurretPack] = 0;
$ItemMax[sfemale, AmmoPack] = 1;
$ItemMax[sfemale, RepairKit] = 2;
$ItemMax[sfemale, DeployableInvPack] = 0;
$ItemMax[sfemale, DeployableAmmoPack] = 0;
$ItemMax[sfemale, DeployableComPack] = 0;
$ItemMax[sfemale, LaserTurret] = 0;
$ItemMax[sfemale, ForceFieldPack] = 0;
$ItemMax[sfemale, RocketPack] = 0;
$ItemMax[sfemale, LaserPack] = 0;
$ItemMax[sfemale, CloakingDevice] = 0;
$ItemMax[sfemale, StealthShieldPack] = 0;
$ItemMax[sfemale, TargetPack] = 1;
$ItemMax[sfemale, MechPack] = 1;
$ItemMax[sfemale, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[sfemale, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[sfemale] = 2;

//----------------------------------------------------------------------------
// Medium Female Armor Black Ops
//----------------------------------------------------------------------------
$DamageScale[bfemale, $LandingDamageType] = 0.9;
$DamageScale[bfemale, $ImpactDamageType] = 0.9;
$DamageScale[bfemale, $CrushDamageType] = 0.9;
$DamageScale[bfemale, $BulletDamageType] = 1.1;
$DamageScale[bfemale, $PlasmaDamageType] = 1.1;
$DamageScale[bfemale, $EnergyDamageType] = 0.9;
$DamageScale[bfemale, $ExplosionDamageType] = 1.1;
$DamageScale[bfemale, $MissileDamageType] = 1.1;
$DamageScale[bfemale, $ShrapnelDamageType] = 1.1;
$DamageScale[bfemale, $DebrisDamageType] = 1.1;
$DamageScale[bfemale, $LaserDamageType] = 0.9;
$DamageScale[bfemale, $MortarDamageType] = 0.9;
$DamageScale[bfemale, $BlasterDamageType] = 0.9;
$DamageScale[bfemale, $ElectricityDamageType] = 1.1;
$DamageScale[bfemale, $MineDamageType] = 0.9;
$DamageScale[bfemale, $SniperDamageType] = 1.1;
$DamageScale[bfemale, $FlashDamageType] = 1.1;
$DamageScale[bfemale, $MagneticDamageType] = 1.0; 
$DamageScale[bfemale, $EMPDamageType] = 1.0;
$DamageScale[bfemale, $FlamerDamageType] = 1.1;

$ItemMax[bfemale, Blaster] = 1;
$ItemMax[bfemale, Chaingun] = 1;
$ItemMax[bfemale, Disclauncher] = 1;
$ItemMax[bfemale, GrenadeLauncher] = 1;
$ItemMax[bfemale, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, MAGGun] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, Mortar] = 1;
$ItemMax[bfemale, PlasmaGun] = 1;
$ItemMax[bfemale, LaserRifle] = 0;
$ItemMax[bfemale, EnergyRifle] = 0;
$ItemMax[bfemale, TargetingLaser] = 1;
$ItemMax[bfemale, MineAmmo] = 6;
$ItemMax[bfemale, Grenade] = 6;
$ItemMax[bfemale, Beacon] = 4;
$ItemMax[bfemale, RocketLauncher] = 1;
$ItemMax[bfemale, SniperRifle] = 0;
$ItemMax[bfemale, ConCun] = 0;
$ItemMax[bfemale, Railgun] = 0;
$ItemMax[bfemale, ClusterBomb] = 0;
$ItemMax[bfemale, Vulcan] = 0;
$ItemMax[bfemale, Silencer] = 0;
$ItemMax[bfemale, Uzi] = 1;
$ItemMax[bfemale, RPG] = 1;

$ItemMax[bfemale, BulletAmmo] = 125;
$ItemMax[bfemale, PlasmaAmmo] = 40;
$ItemMax[bfemale, UziAmmo] = 40;
$ItemMax[bfemale, DiscAmmo] = 15;
$ItemMax[bfemale, GrenadeAmmo] = 12;
$ItemMax[bfemale, EMPAmmo] = 10; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, AssaultRifleAmmo] = 100; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, MortarAmmo] = 5;
$ItemMax[bfemale, ShotgunShell] = 16; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, RocketAmmo] = 10;
$ItemMax[bfemale, SniperAmmo] = 10;
$ItemMax[bfemale, RPGAmmo] = 12;
$ItemMax[bfemale, RailAmmo] = 10;
$ItemMax[bfemale, SilencerAmmo] = 10;
$ItemMax[bfemale, VulcanAmmo] = 100;

$ItemMax[bfemale, EnergyPack] = 1;
$ItemMax[bfemale, RPGPack] = 1;
$ItemMax[bfemale, RepairPack] = 1;
$ItemMax[bfemale, ShieldPack] = 1;
$ItemMax[bfemale, SensorJammerPack] = 1;
$ItemMax[bfemale, MotionSensorPack] = 1;
$ItemMax[bfemale, PulseSensorPack] = 1;
$ItemMax[bfemale, DeployableSensorJammerPack] = 1;
$ItemMax[bfemale, CameraPack] = 1;
$ItemMax[bfemale, TurretPack] = 1;
$ItemMax[bfemale, AmmoPack] = 1;
$ItemMax[bfemale, RepairKit] = 2;
$ItemMax[bfemale, DeployableInvPack] = 1;
$ItemMax[bfemale, DeployableAmmoPack] = 1;
$ItemMax[bfemale, DeployableComPack] = 0;
$ItemMax[bfemale, LaserTurret] = 0;
$ItemMax[bfemale, ForceFieldPack] = 1;
$ItemMax[bfemale, RocketPack] = 1;
$ItemMax[bfemale, LaserPack] = 0;
$ItemMax[bfemale, CloakingDevice] = 0;
$ItemMax[bfemale, StealthShieldPack] = 0;
$ItemMax[bfemale, TargetPack] = 1;
$ItemMax[bfemale, C4Pack] = 0; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[bfemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[bfemale] = 4;

//----------------------------------------------------------------------------
// Spy Armor Sniper
//----------------------------------------------------------------------------
$DamageScale[spyarmor, $LandingDamageType] = 1.0;
$DamageScale[spyarmor, $ImpactDamageType] = 1.0;
$DamageScale[spyarmor, $CrushDamageType] = 1.0;
$DamageScale[spyarmor, $BulletDamageType] = 1.0;
$DamageScale[spyarmor, $PlasmaDamageType] = 1.0;
$DamageScale[spyarmor, $EnergyDamageType] = 0.8;
$DamageScale[spyarmor, $ExplosionDamageType] = 1.0;
$DamageScale[spyarmor, $MissileDamageType] = 1.0;
$DamageScale[spyarmor, $DebrisDamageType] = 1.0;
$DamageScale[spyarmor, $ShrapnelDamageType] = 1.0;
$DamageScale[spyarmor, $LaserDamageType] = 0.8;
$DamageScale[spyarmor, $MortarDamageType] = 1.0;
$DamageScale[spyarmor, $BlasterDamageType] = 0.8;
$DamageScale[spyarmor, $ElectricityDamageType] = 0.8;
$DamageScale[spyarmor, $MineDamageType] = 1.0;
$DamageScale[spyarmor, $SniperDamageType] = 1.0;
$DamageScale[spyarmor, $FlashDamageType] = 1.0;
$DamageScale[spyarmor, $MagneticDamageType] = 0.8; 
$DamageScale[spyarmor, $EMPDamageType] = 0.8;
$DamageScale[spyarmor, $FlamerDamageType] = 1.0;

$ItemMax[spyarmor, Blaster] = 1;
$ItemMax[spyarmor, Chaingun] = 1;
$ItemMax[spyarmor, Disclauncher] = 1;
$ItemMax[spyarmor, GrenadeLauncher] = 1;
$ItemMax[spyarmor, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, AssaultRifle] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, Mortar] = 0;
$ItemMax[spyarmor, PlasmaGun] = 1;
$ItemMax[spyarmor, LaserRifle] = 0;
$ItemMax[spyarmor, EnergyRifle] = 1;
$ItemMax[spyarmor, TargetingLaser] = 1;
$ItemMax[spyarmor, MineAmmo] = 6;
$ItemMax[spyarmor, Grenade] = 4;
$ItemMax[spyarmor, Beacon]  = 3;
$ItemMax[spyarmor, RocketLauncher] = 0;
$ItemMax[spyarmor, SniperRifle] = 0;
$ItemMax[spyarmor, ConCun] = 0;
$ItemMax[spyarmor, Railgun] = 0;
$ItemMax[spyarmor, Vulcan] = 0;
$ItemMax[spyarmor, Silencer] = 1;
$ItemMax[spyarmor, ClusterBomb] = 0;
$ItemMax[spyarmor, Uzi] = 0;
$ItemMax[spyarmor, RPG] = 0;

$ItemMax[spyarmor, BulletAmmo] = 75;
$ItemMax[spyarmor, PlasmaAmmo] = 25;
$ItemMax[spyarmor, DiscAmmo] = 12;
$ItemMax[spyarmor, GrenadeAmmo] = 8;
$ItemMax[spyarmor, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, MortarAmmo] = 10;
$ItemMax[spyarmor, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, RocketAmmo] = 10;
$ItemMax[spyarmor, SniperAmmo] = 25;
$ItemMax[spyarmor, RailAmmo] = 10;
$ItemMax[spyarmor, SilencerAmmo] = 25;
$ItemMax[spyarmor, VulcanAmmo] = 100;

$ItemMax[spyarmor, EnergyPack] = 1;
$ItemMax[spyarmor, RepairPack] = 1;
$ItemMax[spyarmor, ShieldPack] = 1;
$ItemMax[spyarmor, SensorJammerPack] = 1;
$ItemMax[spyarmor, MotionSensorPack] = 1;
$ItemMax[spyarmor, PulseSensorPack] = 1;
$ItemMax[spyarmor, DeployableSensorJammerPack] = 1;
$ItemMax[spyarmor, CameraPack] = 1;
$ItemMax[spyarmor, TurretPack] = 0;
$ItemMax[spyarmor, AmmoPack] = 1;
$ItemMax[spyarmor, RepairKit] = 2;
$ItemMax[spyarmor, DeployableInvPack] = 0;
$ItemMax[spyarmor, DeployableAmmoPack] = 0;
$ItemMax[spyarmor, DeployableComPack] = 0;
$ItemMax[spyarmor, LaserTurret] = 0;
$ItemMax[spyarmor, ForceFieldPack] = 1;
$ItemMax[spyarmor, RocketPack] = 0;
$ItemMax[spyarmor, LaserPack] = 1;
$ItemMax[spyarmor, CloakingDevice] = 1;
$ItemMax[spyarmor, StealthShieldPack] = 0;
$ItemMax[spyarmor, Laptop] = 1;
$ItemMax[spyarmor, TargetPack] = 1;
$ItemMax[spyarmor, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyarmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[spyarmor] = 3;


//----------------------------------------------------------------------------
// light Female Armor Sniper
//----------------------------------------------------------------------------
$DamageScale[spyfemale, $LandingDamageType] = 1.0;
$DamageScale[spyfemale, $ImpactDamageType] = 1.0;
$DamageScale[spyfemale, $CrushDamageType] = 1.0;
$DamageScale[spyfemale, $BulletDamageType] = 1.0;
$DamageScale[spyfemale, $PlasmaDamageType] = 1.0;
$DamageScale[spyfemale, $EnergyDamageType] = 0.8;
$DamageScale[spyfemale, $ExplosionDamageType] = 1.0;
$DamageScale[spyfemale, $MissileDamageType] = 1.0;
$DamageScale[spyfemale, $DebrisDamageType] = 1.0;
$DamageScale[spyfemale, $ShrapnelDamageType] = 1.0;
$DamageScale[spyfemale, $LaserDamageType] = 0.8;
$DamageScale[spyfemale, $MortarDamageType] = 1.0;
$DamageScale[spyfemale, $BlasterDamageType] = 0.8;
$DamageScale[spyfemale, $ElectricityDamageType] = 0.8;
$DamageScale[spyfemale, $MineDamageType] = 1.0;
$DamageScale[spyfemale, $SniperDamageType] = 1.0;
$DamageScale[spyfemale, $FlashDamageType] = 1.0;
$DamageScale[spyfemale, $MagneticDamageType] = 0.8; 
$DamageScale[spyfemale, $EMPDamageType] = 0.8;
$DamageScale[spyfemale, $FlamerDamageType] = 1.0;

$ItemMax[spyfemale, Blaster] = 1;
$ItemMax[spyfemale, Chaingun] = 1;
$ItemMax[spyfemale, Disclauncher] = 1;
$ItemMax[spyfemale, GrenadeLauncher] = 1;
$ItemMax[spyfemale, MineLauncher] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, AssaultRifle] = 0; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, Mortar] = 0;
$ItemMax[spyfemale, PlasmaGun] = 1;
$ItemMax[spyfemale, LaserRifle] = 0;
$ItemMax[spyfemale, EnergyRifle] = 1;
$ItemMax[spyfemale, TargetingLaser] = 1;
$ItemMax[spyfemale, MineAmmo] = 6;
$ItemMax[spyfemale, Grenade] = 4;
$ItemMax[spyfemale, Beacon]  = 3;
$ItemMax[spyfemale, RocketLauncher] = 0;
$ItemMax[spyfemale, SniperRifle] = 0;
$ItemMax[spyfemale, ConCun] = 0;
$ItemMax[spyfemale, Railgun] = 0;
$ItemMax[spyfemale, Gaussgun] = 0;
$ItemMax[spyfemale, Vulcan] = 0;
$ItemMax[spyfemale, Uzi] = 0;
$ItemMax[spyfemale, Silencer] = 1;
$ItemMax[spyfemale, ClusterBomb] = 0;
$ItemMax[spyfemale, RPG] = 0;

$ItemMax[spyfemale, BulletAmmo] = 75;
$ItemMax[spyfemale, PlasmaAmmo] = 25;
$ItemMax[spyfemale, DiscAmmo] = 12;
$ItemMax[spyfemale, GrenadeAmmo] = 8;
$ItemMax[spyfemale, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, MortarAmmo] = 10;
$ItemMax[spyfemale, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, EMPAmmo] = 6; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, RocketAmmo] = 10;
$ItemMax[spyfemale, SniperAmmo] = 25;
$ItemMax[spyfemale, RailAmmo] = 10;
$ItemMax[spyfemale, SilencerAmmo] = 25;
$ItemMax[spyfemale, VulcanAmmo] = 100;

$ItemMax[spyfemale, EnergyPack] = 1;
$ItemMax[spyfemale, RepairPack] = 1;
$ItemMax[spyfemale, ShieldPack] = 1;
$ItemMax[spyfemale, SensorJammerPack] = 1;
$ItemMax[spyfemale, MotionSensorPack] = 1;
$ItemMax[spyfemale, PulseSensorPack] = 1;
$ItemMax[spyfemale, DeployableSensorJammerPack] = 1;
$ItemMax[spyfemale, CameraPack] = 1;
$ItemMax[spyfemale, TurretPack] = 0;
$ItemMax[spyfemale, AmmoPack] = 1;
$ItemMax[spyfemale, RepairKit] = 2;
$ItemMax[spyfemale, DeployableInvPack] = 0;
$ItemMax[spyfemale, DeployableAmmoPack] = 0;
$ItemMax[spyfemale, DeployableComPack] = 0;
$ItemMax[spyfemale, LaserTurret] = 0;
$ItemMax[spyfemale, ForceFieldPack] = 1;
$ItemMax[spyfemale, RocketPack] = 0;
$ItemMax[spyfemale, LaserPack] = 1;
$ItemMax[spyfemale, CloakingDevice] = 1;
$ItemMax[spyfemale, StealthShieldPack] = 0;
$ItemMax[spyfemale, Laptop] = 1;
$ItemMax[spyfemale, TargetPack] = 1;
$ItemMax[spyfemale, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[spyfemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[spyfemale] = 3;

//----------------------------------------------------------------------------
// Medium Armor Field Engineer
//----------------------------------------------------------------------------
$DamageScale[earmor, $LandingDamageType] = 1.0;
$DamageScale[earmor, $ImpactDamageType] = 1.0;
$DamageScale[earmor, $CrushDamageType] = 1.0;
$DamageScale[earmor, $BulletDamageType] = 1.0;
$DamageScale[earmor, $PlasmaDamageType] = 1.0;
$DamageScale[earmor, $EnergyDamageType] = 1.0;
$DamageScale[earmor, $ExplosionDamageType] = 1.0;
$DamageScale[earmor, $MissileDamageType] = 1.0;
$DamageScale[earmor, $ShrapnelDamageType] = 1.0;
$DamageScale[earmor, $DebrisDamageType] = 1.0;
$DamageScale[earmor, $LaserDamageType] = 1.0;
$DamageScale[earmor, $MortarDamageType] = 1.0;
$DamageScale[earmor, $BlasterDamageType] = 1.0;
$DamageScale[earmor, $ElectricityDamageType] = 1.0;
$DamageScale[earmor, $MineDamageType] = 1.0;
$DamageScale[earmor, $SniperDamageType] = 1.0;
$DamageScale[earmor, $FlashDamageType] = 1.0;
$DamageScale[earmor, $MagneticDamageType] = 1.0; 
$DamageScale[earmor, $EMPDamageType] = 0.5;
$DamageScale[earmor, $FlamerDamageType] = 1.0;

$ItemMax[earmor, Blaster] = 1;
$ItemMax[earmor, Chaingun] = 1;
$ItemMax[earmor, Disclauncher] = 1;
$ItemMax[earmor, GrenadeLauncher] = 1;
$ItemMax[earmor, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, Mortar] = 0;
$ItemMax[earmor, PlasmaGun] = 1;
$ItemMax[earmor, LaserRifle] = 0;
$ItemMax[earmor, EnergyRifle] = 1;
$ItemMax[earmor, TargetingLaser] = 1;
$ItemMax[earmor, MineAmmo] = 6;
$ItemMax[earmor, Grenade] = 3;
$ItemMax[earmor, Beacon] = 4;
$ItemMax[earmor, RocketLauncher] = 1;
$ItemMax[earmor, SniperRifle] = 0;
$ItemMax[earmor, ConCun] = 0;
$ItemMax[earmor, Railgun] = 1;
$ItemMax[earmor, Vulcan] = 0;
$ItemMax[earmor, Uzi] = 0;
$ItemMax[earmor, RPG] = 1;
$ItemMax[earmor, ClusterBomb] = 0;

$ItemMax[earmor, BulletAmmo] = 100;
$ItemMax[earmor, PlasmaAmmo] = 30;
$ItemMax[earmor, DiscAmmo] = 15;
$ItemMax[earmor, GrenadeAmmo] = 8;
$ItemMax[earmor, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, EMPAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, MortarAmmo] = 10;
$ItemMax[earmor, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, MinelAmmo] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, RocketAmmo] = 5;
$ItemMax[earmor, RPGAmmo] = 6;
$ItemMax[earmor, SniperAmmo] = 10;
$ItemMax[earmor, RailAmmo] = 10;
$ItemMax[earmor, VulcanAmmo] = 100;

$ItemMax[earmor, EnergyPack] = 1;
$ItemMax[earmor, RPGPack] = 1;
$ItemMax[earmor, RepairPack] = 1;
$ItemMax[earmor, ShieldPack] = 1;
$ItemMax[earmor, SensorJammerPack] = 1;
$ItemMax[earmor, DeployableEMPJammerPack] = 1; //+++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, MotionSensorPack] = 1;
$ItemMax[earmor, PulseSensorPack] = 1;
$ItemMax[earmor, DeployableSensorJammerPack] = 1;
$ItemMax[earmor, CameraPack] = 1;
$ItemMax[earmor, TurretPack] = 1;
$ItemMax[earmor, AmmoPack] = 1;
$ItemMax[earmor, RepairKit] = 2;
$ItemMax[earmor, DeployableInvPack] = 1;
$ItemMax[earmor, DeployableAmmoPack] = 1;
$ItemMax[earmor, DeployableComPack] = 1;
$ItemMax[earmor, LaserTurret] = 1;
$ItemMax[earmor, ForceFieldPack] = 1;
$ItemMax[earmor, LargeForceFieldPack] = 1;

$ItemMax[earmor, RocketPack] = 1;
$ItemMax[earmor, LaserPack] = 1;
$ItemMax[earmor, CloakingDevice] = 0;
$ItemMax[earmor, StealthShieldPack] = 0;
$ItemMax[earmor,TeleportPack] = 1;
$ItemMax[earmor,TripwirePack] = 1;
$ItemMax[earmor, Laptop] = 1;
$ItemMax[earmor, ShockPack] = 1;
$ItemMax[earmor, PlatformPack] = 1;
$ItemMax[earmor, TreePack] = 1;
$ItemMax[earmor, TargetPack] = 1;
$ItemMax[earmor, VulcanPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, BreathOfRaPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, WatchdogPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, ConPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, MAGPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, FlakPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[earmor, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[earmor] = 3;

//----------------------------------------------------------------------------
// Medium Female Armor Field Engineer
//----------------------------------------------------------------------------
$DamageScale[efemale, $LandingDamageType] = 1.0;
$DamageScale[efemale, $ImpactDamageType] = 1.0;
$DamageScale[efemale, $CrushDamageType] = 1.0;
$DamageScale[efemale, $BulletDamageType] = 1.0;
$DamageScale[efemale, $EnergyDamageType] = 1.0;
$DamageScale[efemale, $PlasmaDamageType] = 1.0;
$DamageScale[efemale, $ExplosionDamageType] = 1.0;
$DamageScale[efemale, $MissileDamageType] = 1.0;
$DamageScale[efemale, $ShrapnelDamageType] = 1.0;
$DamageScale[efemale, $DebrisDamageType] = 1.0;
$DamageScale[efemale, $LaserDamageType] = 1.0;
$DamageScale[efemale, $MortarDamageType] = 1.0;
$DamageScale[efemale, $BlasterDamageType] = 1.0;
$DamageScale[efemale, $ElectricityDamageType] = 1.0;
$DamageScale[efemale, $MineDamageType] = 1.0;
$DamageScale[efemale, $SniperDamageType] = 1.0;
$DamageScale[efemale, $FlashDamageType] = 1.0;
$DamageScale[efemale, $MagneticDamageType] = 1.0; 
$DamageScale[efemale, $EMPDamageType] = 0.5;
$DamageScale[efemale, $FlamerDamageType] = 1.0;

$ItemMax[efemale, Blaster] = 1;
$ItemMax[efemale, Chaingun] = 1;
$ItemMax[efemale, Disclauncher] = 1;
$ItemMax[efemale, GrenadeLauncher] = 1;
$ItemMax[efemale, MineLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, EMPLauncher] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, MAGGun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, AssaultRifle] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, Shotgun] = 1; //+++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, Mortar] = 0;
$ItemMax[efemale, PlasmaGun] = 1;
$ItemMax[efemale, LaserRifle] = 0;
$ItemMax[efemale, EnergyRifle] = 1;
$ItemMax[efemale, TargetingLaser] = 1;
$ItemMax[efemale, MineAmmo] = 6;
$ItemMax[efemale, Grenade] = 3;
$ItemMax[efemale, Beacon] = 4;
$ItemMax[efemale, RocketLauncher] = 1;
$ItemMax[efemale, SniperRifle] = 0;
$ItemMax[efemale, ConCun] = 0;
$ItemMax[efemale, Railgun] = 1;
$ItemMax[efemale, Vulcan] = 0;
$ItemMax[efemale, Uzi] = 0;
$ItemMax[efemale, ClusterBomb] = 0;
$ItemMax[efemale, RPG] = 1;

$ItemMax[efemale, BulletAmmo] = 100;
$ItemMax[efemale, PlasmaAmmo] = 30;
$ItemMax[efemale, DiscAmmo] = 15;
$ItemMax[efemale, GrenadeAmmo] = 8;
$ItemMax[efemale, AssaultRifleAmmo] = 50; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, EMPAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, ShotgunShell] = 12; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, MortarAmmo] = 10;
$ItemMax[efemale, MinelAmmo] = 8; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, SniperAmmo] = 10;
$ItemMax[efemale, RocketAmmo] = 5;
$ItemMax[efemale, RPGAmmo] = 6;
$ItemMax[efemale, RailAmmo] = 10;
$ItemMax[efemale, VulcanAmmo] = 100;

$ItemMax[efemale, EnergyPack] = 1;
$ItemMax[efemale, RPGPack] = 1;
$ItemMax[efemale, RepairPack] = 1;
$ItemMax[efemale, ShieldPack] = 1;
$ItemMax[efemale, SensorJammerPack] = 1;
$ItemMax[efemale, DeployableEMPJammerPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, MotionSensorPack] = 1;
$ItemMax[efemale, PulseSensorPack] = 1;
$ItemMax[efemale, DeployableSensorJammerPack] = 1;
$ItemMax[efemale, CameraPack] = 1;
$ItemMax[efemale, TurretPack] = 1;
$ItemMax[efemale, AmmoPack] = 1;
$ItemMax[efemale, RepairKit] = 2;
$ItemMax[efemale, DeployableInvPack] = 1;
$ItemMax[efemale, DeployableAmmoPack] = 1;
$ItemMax[efemale, DeployableComPack] = 1;
$ItemMax[efemale, LaserTurret] = 1;
$ItemMax[efemale, ForceFieldPack] = 1;
$ItemMax[efemale, LargeForceFieldPack] = 1;

$ItemMax[efemale, RocketPack] = 1;
$ItemMax[efemale, LaserPack] = 1;
$ItemMax[efemale, CloakingDevice] = 0;
$ItemMax[efemale, StealthShieldPack] = 0;
$ItemMax[efemale,TeleportPack] = 1;
$ItemMax[efemale,TripwirePack] = 1;
$ItemMax[efemale, Laptop] = 1;
$ItemMax[efemale, ShockPack] = 1;
$ItemMax[efemale, PlatformPack] = 1;
$ItemMax[efemale, TreePack] = 1;
$ItemMax[efemale, TargetPack] = 1;
$ItemMax[efemale, VulcanPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, BreathOfRaPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, WatchdogPack] = 1; //++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, C4Pack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, ConPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, MAGPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, FlakPack] = 1;//++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, ClaymorePack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++
$ItemMax[efemale, AISniperPack] = 1; //+++++++++++++++++++++++++++++++++++++++++++++++++

$MaxWeapons[efemale] = 3;

//------------------------------------------------------------------
// light armor data: *sniper
//------------------------------------------------------------------

DamageSkinData armorDamageSkins
{
   bmpName[0] = "dskin1_armor";
   bmpName[1] = "dskin2_armor";
   bmpName[2] = "dskin3_armor";
   bmpName[3] = "dskin4_armor";
   bmpName[4] = "dskin5_armor";
   bmpName[5] = "dskin6_armor";
   bmpName[6] = "dskin7_armor";
   bmpName[7] = "dskin8_armor";
   bmpName[8] = "dskin9_armor";
   bmpName[9] = "dskin10_armor";
};

PlayerData larmor
{
   className = "Armor";
   shapeFile = "larmor"; //larmor
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";
   canCrouch = true;

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 236;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 11;
   maxBackwardSpeed = 10;
   maxSideSpeed = 10;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 75;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, direction
	// firstPerson, chaseCam, thirdPerson, signalThread
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 


    // celebration animations:
   animData[43] = { "celebration 1",none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };
 
    // taunt animations:
	animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
	animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };
 
    // poses:
	animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
	animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;
   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.6666;
   boxCrouchTorsoPercentage = 0.3333;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Medium Armor data: Mercenary
//------------------------------------------------------------------

PlayerData marmor
{
   className = "Armor";
   shapeFile = "marmor"; //marmor
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   canCrouch = false;
   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 325;
   jetEnergyDrain = 1.0;

	maxDamage = 1.0;
   maxForwardSpeed = 9.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	
	maxEnergy = 90;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Heavy Armor data: Cyborg
//------------------------------------------------------------------

PlayerData harmor
{
   className = "Armor";
   shapeFile = "harmor";
   flameShapeName = "hflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 12;
   minJetEnergy = 1;
   jetForce = 390;
   jetEnergyDrain = 1.1;

	maxDamage = 1.32;
	
   maxForwardSpeed = 6.0;
   maxBackwardSpeed = 5.0;
	
   maxSideSpeed = 4.0;
   groundForce = 35 * 18.0;
   groundTraction = 4.5;
   mass = 18.0;
	
	maxEnergy = 140;
   drag = 1.0;
   density = 2.5;
   canCrouch = false;

	minDamageSpeed = 25;
	damageScale = 0.006;

   jumpImpulse = 150;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetHeavy;

   rFootSounds = 
   {
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSnow,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft
  }; 
   lFootSounds =
   {
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSnow,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft
   };

   footPrints = { 4, 5 };

   boxWidth = 0.8;
   boxDepth = 0.8;
   boxNormalHeight = 2.6;

   boxNormalHeadPercentage  = 0.70;
   boxNormalTorsoPercentage = 0.45;

   boxHeadLeftPercentage  = 0.48;
   boxHeadRightPercentage = 0.70;
   boxHeadBackPercentage  = 0.48;
   boxHeadFrontPercentage = 0.60;
};

//------------------------------------------------------------------
// Light female data:  *sniper
//------------------------------------------------------------------

PlayerData lfemale
{
   className = "Armor";
   shapeFile = "lfemale";
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   canCrouch = true;
   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 236;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 11;
   maxBackwardSpeed = 10;
   maxSideSpeed = 10;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 75;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };


   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.85;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.88;
   boxCrouchTorsoPercentage = 0.35;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Medium female data: Mercenary
//------------------------------------------------------------------

PlayerData mfemale
{
   className = "Armor";
   shapeFile = "mfemale";
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 325;
   jetEnergyDrain = 1.0;

   canCrouch = false;
	maxDamage = 1.0;
   maxForwardSpeed = 9.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	maxEnergy = 90;
   mass = 13.0;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, false, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.84;
   boxNormalTorsoPercentage = 0.55;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//------------------------------------------------------------------
// light armor data: Scout
//------------------------------------------------------------------


PlayerData sarmor
{
   className = "Armor";
   shapeFile = "larmor"; //larmor
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";
   canCrouch = true;

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 245;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 13;
   maxBackwardSpeed = 13;
   maxSideSpeed = 13;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 95;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, direction
	// firstPerson, chaseCam, thirdPerson, signalThread
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 


    // celebration animations:
   animData[43] = { "celebration 1",none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };
 
    // taunt animations:
	animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
	animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };
 
    // poses:
	animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
	animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;
   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.6666;
   boxCrouchTorsoPercentage = 0.3333;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Medium Armor data: Burster
//------------------------------------------------------------------

PlayerData barmor
{
   className = "Armor";
   shapeFile = "marmor"; //marmor
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   canCrouch = false;
   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 320;
   jetEnergyDrain = 1.0;

	maxDamage = 1.0;
   maxForwardSpeed = 8.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	
	maxEnergy = 90;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Heavy Armor data: dragoon
//------------------------------------------------------------------

PlayerData darmor
{
   className = "Armor";
   shapeFile = "harmor";
   flameShapeName = "hflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 12;
   minJetEnergy = 1;
   jetForce = 385;
   jetEnergyDrain = 1.1;

	maxDamage = 1.60;
	
   maxForwardSpeed = 6.0;
   maxBackwardSpeed = 5.0;
	
   maxSideSpeed = 4.0;
   groundForce = 35 * 18.0;
   groundTraction = 4.5;
   mass = 18.0;
	
	maxEnergy = 140;
   drag = 1.0;
   density = 2.5;
   canCrouch = false;

	minDamageSpeed = 25;
	damageScale = 0.006;

   jumpImpulse = 150;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetHeavy;

   rFootSounds = 
   {
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRHard,
     SoundHFootRSnow,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft,
     SoundHFootRSoft
  }; 
   lFootSounds =
   {
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLHard,
      SoundHFootLSnow,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft,
      SoundHFootLSoft
   };

   footPrints = { 4, 5 };

   boxWidth = 0.8;
   boxDepth = 0.8;
   boxNormalHeight = 2.6;

   boxNormalHeadPercentage  = 0.70;
   boxNormalTorsoPercentage = 0.45;

   boxHeadLeftPercentage  = 0.48;
   boxHeadRightPercentage = 0.70;
   boxHeadBackPercentage  = 0.48;
   boxHeadFrontPercentage = 0.60;
};

//------------------------------------------------------------------
// Light female data: Scout
//------------------------------------------------------------------

PlayerData sfemale
{
   className = "Armor";
   shapeFile = "lfemale";
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   canCrouch = true;
   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 245;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 13;
   maxBackwardSpeed = 13;
   maxSideSpeed = 13;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 95;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };


   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.85;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.88;
   boxCrouchTorsoPercentage = 0.35;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
// Medium female data: Burster
//------------------------------------------------------------------

PlayerData bfemale
{
   className = "Armor";
   shapeFile = "mfemale";
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 320;
   jetEnergyDrain = 1.0;

   canCrouch = false;
	maxDamage = 1.0;
   maxForwardSpeed = 8.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	maxEnergy = 90;
   mass = 13.0;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, false, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.84;
   boxNormalTorsoPercentage = 0.55;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//------------------------------------------------------------------
// light armor data: *spy
//------------------------------------------------------------------


PlayerData spyarmor
{
   className = "Armor";
   shapeFile = "larmor"; //larmor
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";
   canCrouch = true;

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 240;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 12;
   maxBackwardSpeed = 11;
   maxSideSpeed = 11;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 80;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, direction
	// firstPerson, chaseCam, thirdPerson, signalThread
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 


    // celebration animations:
   animData[43] = { "celebration 1",none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };
 
    // taunt animations:
	animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
	animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };
 
    // poses:
	animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
	animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;
   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.6666;
   boxCrouchTorsoPercentage = 0.3333;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};
//------------------------------------------------------------------
// Light female data:  *spy
//------------------------------------------------------------------

PlayerData spyfemale
{
   className = "Armor";
   shapeFile = "lfemale";
   flameShapeName = "lflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   canCrouch = true;
   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 22;
   minJetEnergy = 1;
   jetForce = 240;
   jetEnergyDrain = 0.8;

	maxDamage = 0.66;
   maxForwardSpeed = 12;
   maxBackwardSpeed = 11;
   maxSideSpeed = 11;
   groundForce = 40 * 9.0;
   mass = 9.0;
   groundTraction = 3.0;
	maxEnergy = 60;
   drag = 1.0;
   density = 1.2;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 80;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };


   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRHard,
     SoundLFootRSnow,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft,
     SoundLFootRSoft
  }; 
   lFootSounds =
   {
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLHard,
      SoundLFootLSnow,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft,
      SoundLFootLSoft
   };

   footPrints = { 0, 1 };

   boxWidth = 0.5;
   boxDepth = 0.5;
   boxNormalHeight = 2.2;
   boxCrouchHeight = 1.8;

   boxNormalHeadPercentage  = 0.85;
   boxNormalTorsoPercentage = 0.53;
   boxCrouchHeadPercentage  = 0.88;
   boxCrouchTorsoPercentage = 0.35;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};
//------------------------------------------------------------------
// Medium Armor data: engineer
//------------------------------------------------------------------

PlayerData earmor
{
   className = "Armor";
   shapeFile = "marmor"; //marmor
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   canCrouch = true;
   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 325;
   jetEnergyDrain = 1.0;

	maxDamage = 1.0;
   maxForwardSpeed = 8.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	
	maxEnergy = 90;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};
//------------------------------------------------------------------
// Medium female data: Engineer
//------------------------------------------------------------------

PlayerData efemale
{
   className = "Armor";
   shapeFile = "mfemale";
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 17;
   minJetEnergy = 1;
   jetForce = 325;
   jetEnergyDrain = 1.0;

   canCrouch = true;
	maxDamage = 1.0;
   maxForwardSpeed = 8.0;
   maxBackwardSpeed = 7.0;
   maxSideSpeed = 7.0;
   groundForce = 35 * 13.0;
   mass = 13.0;
   groundTraction = 3.0;
	
	maxEnergy = 90;
   mass = 13.0;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction,
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, false, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, false, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc root", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.84;
   boxNormalTorsoPercentage = 0.55;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Medium Armor data: Wolverine
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

PlayerData warmor
{
   className = "Armor";
   shapeFile = "marmor"; //marmor
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   canCrouch = true;//+++++++++++++
   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 20;//++++++++++
   minJetEnergy = 1;
   jetForce = 300;
   jetEnergyDrain = 0.8;//++++++

	maxDamage = 1.0;
   maxForwardSpeed = 10.0;//+++++++++
   maxBackwardSpeed = 10.0;//++++++++
   maxSideSpeed = 10.0;//+++++++++
   groundForce = 65 * 11.0; //35 * 13.0++++++++++++
   mass = 11.0; //13.0+++++++++++
   groundTraction = 3.0;
	maxEnergy = 90;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Medium Female Armor data: Wolverine
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

PlayerData wfemale
{
   className = "Armor";
   shapeFile = "mfemale"; //marmor
   flameShapeName = "mflame";
   shieldShapeName = "shield";
   damageSkinData = "armorDamageSkins";
	debrisId = playerDebris;
   shadowDetailMask = 1;

   canCrouch = true;//+++++++++++++
   visibleToSensor = True;
	mapFilter = 1;
	mapIcon = "M_player";

   maxJetSideForceFactor = 0.8;
   maxJetForwardVelocity = 20;//++++++++++
   minJetEnergy = 1;
   jetForce = 300;
   jetEnergyDrain = 0.8;//++++++

	maxDamage = 1.0;
   maxForwardSpeed = 10.0;//+++++++++
   maxBackwardSpeed = 10.0;//++++++++
   maxSideSpeed = 10.0;//+++++++++
   groundForce = 65 * 11.0; //35 * 13.0++++++++++++
   mass = 11.0; //13.0+++++++++++
   groundTraction = 3.0;
	maxEnergy = 90;
   drag = 1.0;
   density = 1.5;

	minDamageSpeed = 25;
	damageScale = 0.005;

   jumpImpulse = 110;
   jumpSurfaceMinDot = 0.2;

   // animation data:
   // animation name, one shot, exclude, direction
	// firstPerson, chaseCam, thirdPerson, signalThread

   // movement animations:
   animData[0]  = { "root", none, 1, true, true, true, false, 0 };
   animData[1]  = { "run", none, 1, true, false, true, false, 3 };
   animData[2]  = { "runback", none, 1, true, false, true, false, 3 };
   animData[3]  = { "side left", none, 1, true, false, true, false, 3 };
   animData[4]  = { "side left", none, -1, true, false, true, false, 3 };
   animData[5] = { "jump stand", none, 1, true, false, true, false, 3 };
   animData[6] = { "jump run", none, 1, true, false, true, false, 3 };
   animData[7] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[8] = { "crouch root", none, 1, true, true, true, false, 3 };
   animData[9] = { "crouch root", none, -1, true, true, true, false, 3 };
   animData[10] = { "crouch forward", none, 1, true, false, true, false, 3 };
   animData[11] = { "crouch forward", none, -1, true, false, true, false, 3 };
   animData[12] = { "crouch side left", none, 1, true, false, true, false, 3 };
   animData[13] = { "crouch side left", none, -1, true, false, true, false, 3 };
   animData[14]  = { "fall", none, 1, true, true, true, false, 3 };
   animData[15]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[16]  = { "landing", SoundLandOnGround, 1, true, false, false, false, 3 };
   animData[17]  = { "tumble loop", none, 1, true, false, false, false, 3 };
   animData[18]  = { "tumble end", none, 1, true, false, false, false, 3 };
   animData[19] = { "jet", none, 1, true, true, true, false, 3 };

   // misc. animations:
   animData[20] = { "PDA access", none, 1, true, false, false, false, 3 };
   animData[21] = { "throw", none, 1, true, false, false, false, 3 };
   animData[22] = { "flyer root", none, 1, false, false, false, false, 3 };
   animData[23] = { "apc root", none, 1, true, true, true, false, 3 };
   animData[24] = { "apc pilot", none, 1, false, false, false, false, 3 };
   
   // death animations:
   animData[25] = { "crouch die", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[26] = { "die chest", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[27] = { "die head", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[28] = { "die grab back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[29] = { "die right side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[30] = { "die left side", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[31] = { "die leg left", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[32] = { "die leg right", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[33] = { "die blown back", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[34] = { "die spin", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[35] = { "die forward", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[36] = { "die forward kneel", SoundPlayerDeath, 1, false, false, false, false, 4 };
   animData[37] = { "die back", SoundPlayerDeath, 1, false, false, false, false, 4 };

   // signal moves:
	animData[38] = { "sign over here",  none, 1, true, false, false, false, 2 };
   animData[39] = { "sign point", none, 1, true, false, false, true, 1 };
   animData[40] = { "sign retreat",none, 1, true, false, false, false, 2 };
   animData[41] = { "sign stop", none, 1, true, false, false, true, 1 };
   animData[42] = { "sign salut", none, 1, true, false, false, true, 1 }; 

    // celebraton animations:
   animData[43] = { "celebration 1", none, 1, true, false, false, false, 2 };
   animData[44] = { "celebration 2", none, 1, true, false, false, false, 2 };
   animData[45] = { "celebration 3", none, 1, true, false, false, false, 2 };

    // taunt anmations:
   animData[46] = { "taunt 1", none, 1, true, false, false, false, 2 };
   animData[47] = { "taunt 2", none, 1, true, false, false, false, 2 };

    // poses:
   animData[48] = { "pose kneel", none, 1, true, false, false, true, 1 };
   animData[49] = { "pose stand", none, 1, true, false, false, true, 1 };

	// Bonus wave
   animData[50] = { "wave", none, 1, true, false, false, true, 1 };

   jetSound = SoundJetLight;

   rFootSounds = 
   {
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRHard,
     SoundMFootRSnow,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft,
     SoundMFootRSoft
  }; 
   lFootSounds =
   {
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLHard,
      SoundMFootLSnow,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft,
      SoundMFootLSoft
   };

   footPrints = { 2, 3 };

   boxWidth = 0.7;
   boxDepth = 0.7;
   boxNormalHeight = 2.4;

   boxNormalHeadPercentage  = 0.83;
   boxNormalTorsoPercentage = 0.49;

   boxHeadLeftPercentage  = 0;
   boxHeadRightPercentage = 1;
   boxHeadBackPercentage  = 0;
   boxHeadFrontPercentage = 1;
};

